import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * The Label class is very simple to those who understands it. It is basically a line of text that appears on the scenario.
 * 
 * @author Unknown
 * @version Unknown
 */
public class Label  extends Actor
{

    public String label;
    public Label()
    { 
        label = "";
        emptyLabel();
    }

    public Label(String txt) 
    {
        label = txt;
        if(!"".equals(label)) generateLabel(); else emptyLabel();
    }

    public void setLabel(String txt) 
    {
        label = txt;
        generateLabel();
    }

    public void addText(String txt) 
    {
        label += txt;
        generateLabel();
    }

    public final String getLabel() 
    {
        return label;
    }

    protected void generateLabel() 
    {
        generateLabel(label);
    }

    public void emptyLabel()
    {
        GreenfootImage img = new GreenfootImage(16, 30);
        label = "";
        setImage(img);
    }

    protected void generateLabel(String txt) 
    {
        GreenfootImage img = new GreenfootImage(txt,20,Color.black,new Color(255,255,255,255));
        setImage(img);
    }

}
