import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class Square here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Square extends Actor
{
    class Highlight extends Actor {
        GreenfootImage on, off;
        Square ref = Square.this;
        public Highlight(Color light) {
            on = createImage(light);
            off = createImage(Player.transparent);
            setImage(off);
        }
        
        public void act() {
            if (Greenfoot.mouseClicked(this)) {
                ref.click(false);
            }
        }
        
        public void highlight() {
            setImage(on);
        }
        
        public void unhighlight() {
            setImage(off);
        }
    }
    Number link = null;
    Highlight hl = null;
    int ix = -1, iy = -1;
    boolean valid = true;
    Blank b = null;

    private static GreenfootImage createImage(Color c) {
        GreenfootImage img = new GreenfootImage(50,50);
        img.setTransparency(255);
        img.setColor(new Color(255, 255, 255, 0));
        img.fill();
        img.setColor(c);
        img.drawRect(0, 0, 49, 49);
        return img;
    }

    public Square(int indexx, int indexy)
    {
        ix = indexx;
        iy = indexy;
        setImage(createImage(Color.black));
    }

    /**
     * Act - do whatever the Square wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // this is now unused as the highlight catches the clicks, but it is here for back refernce.
        if(Greenfoot.mouseClicked(this))
        {
            click(false);
        }
    }   
    
    public boolean readyState() {
        return valid && b.readyState(this);
    }

    public void click(boolean override) {
        if(!readyState() && !override) {
            return;
        }
        GreenfootImage copy = new GreenfootImage(getImage());
        copy.setColor(Color.black);
        copy.drawLine(5, 5, 44, 44);
        copy.drawLine(5, 44, 44, 5);
        setImage(copy);
        b.getCurrPlayer().add(link.getVal());
        b.squares--;
        b.togglePlayer();
        b.lsqx = ix;
        b.lsqy = iy;
        valid = false;
    }

    public void addedToWorld(World w)
    {
        b = (Blank) w;
        link = new Number(b.getRSQNumber());
        b.addObject(link, getX(), getY());
        hl = new Highlight(Color.green);
        hl.highlight();
        b.addObject(hl, getX(), getY());
    }
}
